// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'

// 引入全局插件入口
import installPlugin from 'plugin'

// 引入注册指令方法
import installDirective from 'directive'

// 引入全局注册入口
import registerCps from 'register'

import App from './App'
import router from './router'
import store from './store'

// 生产环境关掉提示
Vue.config.productionTip = false

// 注册指令
installDirective(Vue)
// 安装插件
installPlugin(Vue)
// 注册组件
registerCps(Vue)

/* eslint-disable no-new */
window.app = new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  render: h => h(App)
})
